com.genesyslab.wfm7.API.service.forecast750

## Class FrcScenarioSnapshot

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast750.FrcScenarioSnapshot

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcScenarioSnapshot
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private java.lang.String` | `snapshotId` Snapshot ID
    `private long` | `timestamp` Time and date scenario was created
    `private int` | `totalScenarioCount` Number of scenarios in the snapshot

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcScenarioSnapshot()`
    `FrcScenarioSnapshot(java.lang.String snapshotId, int totalScenarioCount, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getSnapshotId()` Gets the snapshotId value for this FrcScenarioSnapshot.
    `long` | `getTimestamp()` Gets the timestamp value for this FrcScenarioSnapshot.
    `int` | `getTotalScenarioCount()` Gets the totalScenarioCount value for this FrcScenarioSnapshot.
    `int` | `hashCode()`
    `void` | `setSnapshotId(java.lang.String snapshotId)` Sets the snapshotId value for this FrcScenarioSnapshot.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this FrcScenarioSnapshot.
    `void` | `setTotalScenarioCount(int totalScenarioCount)` Sets the totalScenarioCount value for this FrcScenarioSnapshot.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### snapshotId

          private java.lang.String snapshotId

      Snapshot ID

    - #### totalScenarioCount

          private int totalScenarioCount

      Number of scenarios in the snapshot

    - #### timestamp

          private long timestamp

      Time and date scenario was created

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcScenarioSnapshot

          public FrcScenarioSnapshot()

    - #### FrcScenarioSnapshot

          public FrcScenarioSnapshot(java.lang.String snapshotId,
                             int totalScenarioCount,
                             long timestamp)

  - ### Method Detail

    - #### getSnapshotId

          public java.lang.String getSnapshotId()

      Gets the snapshotId value for this FrcScenarioSnapshot.
      Returns:
        snapshotId

    - #### setSnapshotId

          public void setSnapshotId(java.lang.String snapshotId)

      Sets the snapshotId value for this FrcScenarioSnapshot.
      Parameters:
        `snapshotId` -

    - #### getTotalScenarioCount

          public int getTotalScenarioCount()

      Gets the totalScenarioCount value for this FrcScenarioSnapshot.
      Returns:
        totalScenarioCount

    - #### setTotalScenarioCount

          public void setTotalScenarioCount(int totalScenarioCount)

      Sets the totalScenarioCount value for this FrcScenarioSnapshot.
      Parameters:
        `totalScenarioCount` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this FrcScenarioSnapshot.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this FrcScenarioSnapshot.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.